Entur Developer
Customers API

Authentication admin

Api for verify credentials, generate and update password.


Generate password

PUT
https://api.entur.io/customers/v2
/profiles/{organisationId}/{email}/generate-password

Generates a new password for a customer identified by organisationId (numeric) and email address. This endpoint requires an Internal or Partner jwt-token.

Generate password › path Parameters

organisationId
​integer · int64 · required · style: simple
email
​string · required · style: simple

Generate password › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Generate password › Responses

OK

Return object when generating a new password
customerNumber
​integer · int64 · required

Customer number.

firstName
​string · maxLength: 50 · required

Customer first and middle name.

generatedPassword
​string · maxLength: 100 · required

The new generated password.

organisationId
​integer · int64 · required

Organisation id.

surname
​string · maxLength: 50 · required

Customer surname.

customerRef
​string · maxLength: 40

Customer reference

telephoneNumber
​string · maxLength: 20

Telephone number for customer. This should be a cell phone number.


Set password

PUT
https://api.entur.io/customers/v2
/profiles/{customerNumber}/set-password

Set the password for the specified customer. This endpoint requires an Internal or Partner jwt-token.

Set password › path Parameters

customerNumber
​integer · int64 · required · style: simple

Set password › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Set password › Request Body

The fields used for creating a new password for an user
newPassword
​string · minLength: 1 · maxLength: 100 · required

The new password.

​ErrorMessage[]

Set password › Responses

OK

A registered customer response
changedAt
​string · date-time · required

When the customer was last changed. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
changedBy
​string · maxLength: 100 · required

Who last changed the customer. Either web, app or username of employee. Used for traceability in accordance with GDPR

changedByChannel
​string · maxLength: 100 · required

Which sales channel or system who last changed the customer. Used for traceability in accordance with GDPR

createdAt
​string · date-time · required

When the customer was created. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
createdBy
​string · maxLength: 100 · required

Who created the customer. Either web, app or username of employee. Used for traceability in accordance with GDPR

createdByChannel
​string · maxLength: 100 · required

Which sales channel or system who created the customer. Used for traceability in accordance with GDPR

customerNumber
​integer · int64 · required

Customer number.

firstName
​string · maxLength: 50 · required

First and middle name.

organisationId
​integer · int64 · required

The organisation the customer is registered with.

profileType
​string · enum · required

Type of profile. Types supported: 'S' = Standard customer, 'P' = Personnel ticket customer, 'T' = Temporary customer. Default is 'S'.

Enum values:
S
P
T
status
​string · enum · required

Customer status. Statuses supported: 'A' = Active, 'P' = Passive, 'D' = Deleted. Default is 'A'.

Enum values:
A
P
D
surname
​string · maxLength: 50 · required

Surname.

uuid
​string · minLength: 32 · maxLength: 32 · required

A universal unique id for the customer. 32 random alphanumeric characters. Not RFC 4122 compliant

Example: 7018222E18CB5C46E05400144FF9F89C
countryCode
​string · maxLength: 4

Telephone number country code, starting with +.

Example: +47
customerAccountId
​string · maxLength: 60

Customer account id used for account based ticketing

Example: XYZ:CustomerAccount:<uuid>
​CustomerAccountResponse[]

Customer accounts used for account based ticketing

​CustomerConsent[]

The legacy consents connected to the customer.

customerRef
​string · maxLength: 40

Optional customer reference. Defaults to customer number if not set.

​LocalDateResponse

Date as object

​LocalDateResponse

Date as object

​EcardOwnershipResponse[]

The ecards connected to the customer.

email
​string · maxLength: 80

Contact email. May become different from username

emailOld
​string · maxLength: 80

When customer is deleted (status='D'), the value of 'email' is moved here to allow creation of a new customer with the same email.

emailVerifiedAt
​string · date-time

When the email was verified. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
expirationDate
​string · date-time

The date when the customers personal data should be deleted. Personal data will be deleted continuously. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
landlineNumber
​string · maxLength: 20

Landline telephone number.

languagePreferenceISO6393
​string · enum

Which language the customer wants information in. ISO 639-3 format. Default is 'NOB'.

Enum values:
NOB
NNO
ENG
lastSignInAt
​string · date-time

When the customer last signed in. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
lastSignInFrom
​string · maxLength: 100

Where the customer last signed in from. Typically web or app. Typically used to display to the user where the last login was performed.

nationality
​string · minLength: 3 · maxLength: 3

The customers nationality. ISO 3166-1 alpha-3 format

Example: NOR
parentId
​object

Id of the parent customer. Used to connect different customer types.

​PersonnelTicketBearer

The personnel tickets connected to the customer. Deprecated. Does not contain updated information.

​PostalAddressResponse[]

The postal addresses connected to the customer.

The preferences connected to the customer.

relatedCustomerNumbers
​integer[]

The customer number of profiles which has been merged into the current profile. These may be used to lookup customer information in other systems

telephoneNumber
​string · maxLength: 20

Deprecated. Please use countryCode and telephoneNumberNoCountryCode. Telephone number for customer. This should be a cell phone number.

telephoneNumberNoCountryCode
​string · maxLength: 12

Telephone number without country code or punctuation.

telephoneNumberVerifiedAt
​string · date-time

When the telephone number was verified. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
username
​string

Username the customer can use to log unto their profile. Only available on profile type S(tamkunde) and profile status A(ctive)


Change password

PUT
https://api.entur.io/customers/v2
/profiles/{customerNumber}/change-password

Change password for a customer. This method will first validate that the given oldPassword is correct, before storing the new password. This endpoint requires an Internal or Partner jwt-token.

Change password › path Parameters

customerNumber
​integer · int64 · required · style: simple

Change password › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Change password › Request Body

The fields used when verifying credentials
newPassword
​string · minLength: 1 · maxLength: 100 · required

The new user password.

oldPassword
​string · minLength: 1 · maxLength: 100 · required

The old user password.

​ErrorMessage[]

Change password › Responses

OK

A registered customer response
changedAt
​string · date-time · required

When the customer was last changed. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
changedBy
​string · maxLength: 100 · required

Who last changed the customer. Either web, app or username of employee. Used for traceability in accordance with GDPR

changedByChannel
​string · maxLength: 100 · required

Which sales channel or system who last changed the customer. Used for traceability in accordance with GDPR

createdAt
​string · date-time · required

When the customer was created. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
createdBy
​string · maxLength: 100 · required

Who created the customer. Either web, app or username of employee. Used for traceability in accordance with GDPR

createdByChannel
​string · maxLength: 100 · required

Which sales channel or system who created the customer. Used for traceability in accordance with GDPR

customerNumber
​integer · int64 · required

Customer number.

firstName
​string · maxLength: 50 · required

First and middle name.

organisationId
​integer · int64 · required

The organisation the customer is registered with.

profileType
​string · enum · required

Type of profile. Types supported: 'S' = Standard customer, 'P' = Personnel ticket customer, 'T' = Temporary customer. Default is 'S'.

Enum values:
S
P
T
status
​string · enum · required

Customer status. Statuses supported: 'A' = Active, 'P' = Passive, 'D' = Deleted. Default is 'A'.

Enum values:
A
P
D
surname
​string · maxLength: 50 · required

Surname.

uuid
​string · minLength: 32 · maxLength: 32 · required

A universal unique id for the customer. 32 random alphanumeric characters. Not RFC 4122 compliant

Example: 7018222E18CB5C46E05400144FF9F89C
countryCode
​string · maxLength: 4

Telephone number country code, starting with +.

Example: +47
customerAccountId
​string · maxLength: 60

Customer account id used for account based ticketing

Example: XYZ:CustomerAccount:<uuid>
​CustomerAccountResponse[]

Customer accounts used for account based ticketing

​CustomerConsent[]

The legacy consents connected to the customer.

customerRef
​string · maxLength: 40

Optional customer reference. Defaults to customer number if not set.

​LocalDateResponse

Date as object

​LocalDateResponse

Date as object

​EcardOwnershipResponse[]

The ecards connected to the customer.

email
​string · maxLength: 80

Contact email. May become different from username

emailOld
​string · maxLength: 80

When customer is deleted (status='D'), the value of 'email' is moved here to allow creation of a new customer with the same email.

emailVerifiedAt
​string · date-time

When the email was verified. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
expirationDate
​string · date-time

The date when the customers personal data should be deleted. Personal data will be deleted continuously. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
landlineNumber
​string · maxLength: 20

Landline telephone number.

languagePreferenceISO6393
​string · enum

Which language the customer wants information in. ISO 639-3 format. Default is 'NOB'.

Enum values:
NOB
NNO
ENG
lastSignInAt
​string · date-time

When the customer last signed in. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
lastSignInFrom
​string · maxLength: 100

Where the customer last signed in from. Typically web or app. Typically used to display to the user where the last login was performed.

nationality
​string · minLength: 3 · maxLength: 3

The customers nationality. ISO 3166-1 alpha-3 format

Example: NOR
parentId
​object

Id of the parent customer. Used to connect different customer types.

​PersonnelTicketBearer

The personnel tickets connected to the customer. Deprecated. Does not contain updated information.

​PostalAddressResponse[]

The postal addresses connected to the customer.

The preferences connected to the customer.

relatedCustomerNumbers
​integer[]

The customer number of profiles which has been merged into the current profile. These may be used to lookup customer information in other systems

telephoneNumber
​string · maxLength: 20

Deprecated. Please use countryCode and telephoneNumberNoCountryCode. Telephone number for customer. This should be a cell phone number.

telephoneNumberNoCountryCode
​string · maxLength: 12

Telephone number without country code or punctuation.

telephoneNumberVerifiedAt
​string · date-time

When the telephone number was verified. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
username
​string

Username the customer can use to log unto their profile. Only available on profile type S(tamkunde) and profile status A(ctive)


Verify credentials

POST
https://api.entur.io/customers/v2
/profiles/verify-credentials

Verify credentials for a customer. The customer is looked up based on the organisation Id of the logged on user, combined with the email address provided in the input.

Verify credentials › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Verify credentials › Request Body

The fields used when verifying credentials
email
​string · maxLength: 80 · required

Email used for login. See property 'username' on CustomerResponse

password
​string · minLength: 1 · maxLength: 100 · required

Password used for login.

lastSignInFrom
​string · maxLength: 100

The place if login. Typically web or app. Typically used to display to the user where the last login was performed.

​ErrorMessage[]

Verify credentials › Responses

OK

A registered customer response
changedAt
​string · date-time · required

When the customer was last changed. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
changedBy
​string · maxLength: 100 · required

Who last changed the customer. Either web, app or username of employee. Used for traceability in accordance with GDPR

changedByChannel
​string · maxLength: 100 · required

Which sales channel or system who last changed the customer. Used for traceability in accordance with GDPR

createdAt
​string · date-time · required

When the customer was created. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
createdBy
​string · maxLength: 100 · required

Who created the customer. Either web, app or username of employee. Used for traceability in accordance with GDPR

createdByChannel
​string · maxLength: 100 · required

Which sales channel or system who created the customer. Used for traceability in accordance with GDPR

customerNumber
​integer · int64 · required

Customer number.

firstName
​string · maxLength: 50 · required

First and middle name.

organisationId
​integer · int64 · required

The organisation the customer is registered with.

profileType
​string · enum · required

Type of profile. Types supported: 'S' = Standard customer, 'P' = Personnel ticket customer, 'T' = Temporary customer. Default is 'S'.

Enum values:
S
P
T
status
​string · enum · required

Customer status. Statuses supported: 'A' = Active, 'P' = Passive, 'D' = Deleted. Default is 'A'.

Enum values:
A
P
D
surname
​string · maxLength: 50 · required

Surname.

uuid
​string · minLength: 32 · maxLength: 32 · required

A universal unique id for the customer. 32 random alphanumeric characters. Not RFC 4122 compliant

Example: 7018222E18CB5C46E05400144FF9F89C
countryCode
​string · maxLength: 4

Telephone number country code, starting with +.

Example: +47
customerAccountId
​string · maxLength: 60

Customer account id used for account based ticketing

Example: XYZ:CustomerAccount:<uuid>
​CustomerAccountResponse[]

Customer accounts used for account based ticketing

​CustomerConsent[]

The legacy consents connected to the customer.

customerRef
​string · maxLength: 40

Optional customer reference. Defaults to customer number if not set.

​LocalDateResponse

Date as object

​LocalDateResponse

Date as object

​EcardOwnershipResponse[]

The ecards connected to the customer.

email
​string · maxLength: 80

Contact email. May become different from username

emailOld
​string · maxLength: 80

When customer is deleted (status='D'), the value of 'email' is moved here to allow creation of a new customer with the same email.

emailVerifiedAt
​string · date-time

When the email was verified. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
expirationDate
​string · date-time

The date when the customers personal data should be deleted. Personal data will be deleted continuously. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
landlineNumber
​string · maxLength: 20

Landline telephone number.

languagePreferenceISO6393
​string · enum

Which language the customer wants information in. ISO 639-3 format. Default is 'NOB'.

Enum values:
NOB
NNO
ENG
lastSignInAt
​string · date-time

When the customer last signed in. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
lastSignInFrom
​string · maxLength: 100

Where the customer last signed in from. Typically web or app. Typically used to display to the user where the last login was performed.

nationality
​string · minLength: 3 · maxLength: 3

The customers nationality. ISO 3166-1 alpha-3 format

Example: NOR
parentId
​object

Id of the parent customer. Used to connect different customer types.

​PersonnelTicketBearer

The personnel tickets connected to the customer. Deprecated. Does not contain updated information.

​PostalAddressResponse[]

The postal addresses connected to the customer.

The preferences connected to the customer.

relatedCustomerNumbers
​integer[]

The customer number of profiles which has been merged into the current profile. These may be used to lookup customer information in other systems

telephoneNumber
​string · maxLength: 20

Deprecated. Please use countryCode and telephoneNumberNoCountryCode. Telephone number for customer. This should be a cell phone number.

telephoneNumberNoCountryCode
​string · maxLength: 12

Telephone number without country code or punctuation.

telephoneNumberVerifiedAt
​string · date-time

When the telephone number was verified. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
username
​string

Username the customer can use to log unto their profile. Only available on profile type S(tamkunde) and profile status A(ctive)


Generate password and send email/sms for customer

PUT
https://api.entur.io/customers/v2
/authentication/generate-password

Generates a new password for a profile identified by organisationId and email address. The new password is sent to the customer via email and/or sms.

Generate password and send email/sms for customer › Headers

Authorization
​string · required · style: simple
ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Generate password and send email/sms for customer › Request Body

Generate a new password for a profile identified by email and organisation id
email
​string · minLength: 1 · pattern: ^[a-zA-Z0-9æøåÆØÅ.!#… · required

The email address identifying the profile

Example: customer@example.com
organisationId
​integer · int64

The organisation the profile belongs to. Default is tenant organisation ID. Only Internal tenants are allowed to override the organisation id

Example: 1

Generate password and send email/sms for customer › Responses

No Content

No data returned

Did you find what you were looking for?